.header-main {
	height: $header-height;
	display: flex;
	align-items: center;
	background-color: rgba($color-white, 0.9);
	transition: 0.5s;
	position: fixed;
	top: 0;
	z-index: 10000;
	width: 100%;

	&.fixed {
		height: 80px;
		padding: 5px 0;
		box-shadow: 0 2px 5px rgba($color-black, 0.4);
		// animation: slideDown 0.5s;
		.logo-container {
			.custom-logo {
				height: 50px;
				width: auto;
			}
		}
	}

	.logo-container {
		margin: 0;
		.custom-logo {
			max-width: 433px;
			width: 100%;
			height: auto;
			position: relative;
			z-index: 10001;
			transition: 0.5s;
		}
	}
}

.mobile-menu-wrapper {
	display: none;
	position: fixed;
	z-index: 1000;
	width: 100vw;
	height: 100vh;
	left: 0;
	top: 0;
	background: rgba($color-white, 0.9);

	&.active {
		display: block;
	}

	@media (min-width: map-get($grid-breakpoints, "lg")) {
		display: none !important;
	}
}

.menu-primary-menu-container-mobile {
	padding-top: $header-height;

	.main-menu-mobile {
		@include cleanUL(column);
		text-transform: uppercase;
		li {
			a {
				color: $color-text-primary;
				display: block;
				text-decoration: none;
				text-align: center;
				font-size: 18px;
				letter-spacing: 1px;
				padding: 15px;
			}
			&.current-menu-item {
				a {
					font-weight: 900;
				}
			}

			&.fb-icon {
				a {
					@extend .menu-icon-fb;
					margin: 20px auto 0;
				}
			}

			&.instagram-icon {
				a {
					@extend .menu-icon-insta;
					margin: 20px auto 0;
				}
			}
		}
	}
}

.menu-primary-menu-container {
	display: none;

	@media (min-width: map-get($grid-breakpoints, "lg")) {
		display: block;
	}
	.main-menu {
		@include cleanUL();
		font-weight: 400;
		text-transform: uppercase;
		align-items: center;
		li {
			padding: 0 20px;
			a {
				color: $color-text-primary;
				display: block;
				text-decoration: none;
				letter-spacing: 1px;
				transition: 0.2s;
			}

			&.current-menu-item {
				a {
					font-weight: 900;
				}
			}

			&.fb-icon {
				padding-right: 4px;
				a {
					@extend .menu-icon-fb;
				}
			}

			&.instagram-icon {
				padding: 0 4px;
				a {
					@extend .menu-icon-insta;
				}
			}
		}
	}
}

.primary-menu-mobile-btn {
	border: none;
	position: relative;
	z-index: 10001;
	width: 35px;
	background: none;
	padding: 8px 0;
	margin-right: 15px;

	@media (min-width: map-get($grid-breakpoints, "lg")) {
		display: none;
	}

	&.active {
		span {
			background-color: rgba($color-primary, 0);
			&::before {
				transform: rotate(45deg);
				top: 0;
			}
			&::after {
				transform: rotate(-45deg);
				top: 0;
			}
		}
	}

	span {
		display: block;
		position: relative;
		height: 4px;
		background: $color-primary;
		transition: 0.2s;
		&::before,
		&::after {
			content: "";
			display: block;
			position: absolute;
			height: 4px;
			width: 100%;
			background: $color-primary;
			top: -10px;
			transition: 0.2s;
		}
		&::after {
			top: 10px;
		}
	}
}

@keyframes slideDown {
	from {
		top: -$header-height;
	}
	to {
		top: 0;
	}
}

.menu-icon-fb {
	width: 28px;
	height: 28px;
	background: $color-primary;
	color: $color-white;
	border-radius: 50%;
	display: flex;
	justify-content: center;
	align-items: center;
	font-size: 14px;
	font-weight: 700;
	text-transform: lowercase;
	letter-spacing: 0;
}

.menu-icon-insta {
	display: block;
	position: relative;
	width: 28px;
	height: 28px;
	overflow: hidden;
	position: relative;
	text-indent: 1000px;
	&::after {
		content: "";
		display: block;
		position: absolute;
		width: 100%;
		height: 100%;
		@include backgroundgFullCover(transparent);
		background-image: url("#{$images-path}/instagram-icon.svg");
		left: 0;
		top: 0;
	}
}
